# ionoscloud\_s3\_key

The **IONOS Object Storage key data source** can be used to search for and return an existing IONOS Object Storage key. You can provide a string id which will be compared with provisioned IONOS Object Storage keys. If a single match is found, it will be returned. If your search results in multiple matches, an error will be returned. When this happens, please refine your search string so that it is specific enough to return only one result.

## Example Usage

```hcl
data "ionoscloud_s3_key" "example" {
  id         = "key_id"
  user_id    = "user-uuid"
}
```

## Argument Reference

The following arguments are supported:

* `user_id` - (Required)\[string] The UUID of the user owning the IONOS Object Storage Key.
* `id` - (Required) ID of the IONOS Object Storage key you want to search for.

## Attributes Reference

The following attributes are returned by the datasource:

* `id` - The id of the IONOS Object Storage key
* `active` - The state of the IONOS Object Storage key
* `user_id` - The ID of the user that owns the key
* `secret_key` - (Computed)The IONOS Object Storage Secret key.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/data-sources/s3_key.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
